Manifest-Version: 1.0
Bundle-Copyright: Copyright (c) (2024) Contributors to the Eclipse Fou
 ndation.
Bundle-Description: HTTP device factory
Bundle-Developers: timothyjward;name="Timothy Ward";organization=Kenty
 ou;organizationUrl="https://www.kentyou.com/",tcalmant;name="Thomas C
 almant";organization=Kentyou;organizationUrl="https://www.kentyou.com
 /",juergen-albert;name="Jürgen Albert";organization="Data in Motion"
 ;organizationUrl="https://www.datainmotion.de/",stbischof;name="Stefa
 n Bischof"
Bundle-DocURL: https://projects.eclipse.org/projects/technology.sensin
 act/southbound/http-parent/http-device-factory
Bundle-License: "EPL 2.0";link="http://www.eclipse.org/legal/epl-2.0";
 description="Except for 3rd party content and examples."
Bundle-ManifestVersion: 2
Bundle-Name: Sensinact Southbound HTTP :: Device Factory
Bundle-SCM: url="https://github.com/eclipse/org.eclipse.sensinact.gate
 way/southbound/http-parent/http-device-factory",connection="scm:git:g
 it@github.com:eclipse/org.eclipse.sensinact.gateway.git/southbound/ht
 tp-parent/http-device-factory",developer-connection="scm:git:git@gith
 ub.com:eclipse/org.eclipse.sensinact.gateway.git/southbound/http-pare
 nt/http-device-factory",tag=HEAD
Bundle-SymbolicName: org.eclipse.sensinact.gateway.southbound.http.htt
 p-device-factory
Bundle-Vendor: Eclipse Foundation
Bundle-Version: 0.0.2.202408091321
Git-Descriptor: Brain_IoT_All_In_One-1203-gb0c9c31b7
Git-SHA: b0c9c31b77df8c1d4166f3991727d9470e200a46
Import-Package: com.fasterxml.jackson.annotation;version="[2.16,3)",co
 m.fasterxml.jackson.core;version="[2.16,3)",com.fasterxml.jackson.dat
 abind;version="[2.16,3)",java.lang,java.lang.annotation,java.lang.inv
 oke,java.lang.reflect,java.net,java.time,java.time.temporal,java.util
 ,java.util.concurrent,java.util.concurrent.atomic,java.util.function,
 java.util.stream,org.eclipse.jetty.client;version="[11.0,12)",org.ecl
 ipse.jetty.client.api;version="[11.0,12)",org.eclipse.jetty.client.dy
 namic;version="[11.0,12)",org.eclipse.jetty.client.util;version="[11.
 0,12)",org.eclipse.jetty.http;version="[11.0,12)",org.eclipse.jetty.i
 o;version="[11.0,12)",org.eclipse.jetty.util;version="[11.0,12)",org.
 eclipse.jetty.util.component;version="[11.0,12)",org.eclipse.jetty.ut
 il.ssl;version="[11.0,12)",org.eclipse.jetty.util.thread;version="[11
 .0,12)",org.eclipse.sensinact.gateway.southbound.device.factory;versi
 on="[0.0,1)",org.eclipse.sensinact.gateway.southbound.device.factory.
 dto;version="[0.0,1)",org.slf4j;version="[2.0,3)"
Private-Package: org.eclipse.sensinact.gateway.southbound.http.factory
 ,org.eclipse.sensinact.gateway.southbound.http.factory.config
Provide-Capability: osgi.service;objectClass:List<String>="org.eclipse
 .sensinact.gateway.southbound.http.factory.SharedHttpClientResources"
 ;uses:="org.eclipse.sensinact.gateway.southbound.http.factory"
Require-Capability: osgi.service;filter:="(objectClass=org.eclipse.sen
 sinact.gateway.southbound.device.factory.IDeviceMappingHandler)";effe
 ctive:=active,osgi.service;filter:="(objectClass=org.eclipse.sensinac
 t.gateway.southbound.http.factory.SharedHttpClientResources)";effecti
 ve:=active,osgi.extender;filter:="(&(osgi.extender=osgi.component)(ve
 rsion>=1.5.0)(!(version>=2.0.0)))",osgi.ee;filter:="(&(osgi.ee=JavaSE
 )(version=11))"
Service-Component: OSGI-INF/org.eclipse.sensinact.gateway.southbound.h
 ttp.factory.HttpDeviceFactory.xml,OSGI-INF/org.eclipse.sensinact.gate
 way.southbound.http.factory.SharedHttpClientResources.xml

